Nuget install to existing PCL project

Jan 28, 2014 at 8:21 PM
I'm attempting to install the package via Nuget and I'm getting the following message. It doesn't seem quite right that this package wouldn't support Win8 or Win Phone 8.
Could not install package 'PclContrib.Platform 1.0.0'. You are trying to install this package into a project that targets 'portable-win+net45+sl50+wp80', but the package does not contain any assembly references or content files that are compatible with that framework.